<div class="container">
    <div *ngFor="let user of currentUser">
        <h1 class="text-capitalize">{{user.username}}'s pokemon</h1>
        <h6 *ngIf="user.pokemon.length == 0">You have no pokemons in your collection</h6>
    </div>
    <div class="row align-items-center d-flex justify-content-center">
        <div *ngFor="let pokemon of pokemonList">
            <!-- Filter the array and show the pokemon that the user has collected -->
            <div class="card mt-3" *ngIf="pokemon.isCollected === true">
                <div class="align-items-center d-flex justify-content-center">
                    <img  class="card-img-top" [src]="pokemon.image" alt="Pokemon">
                </div>
                <div class="card-body">
                    <div class="align-items-center d-flex justify-content-center">
                        <h3 class="text-capitalize">{{pokemon.name}}</h3>
                    </div>
                    <div class="align-items-center d-flex justify-content-center">
                        <button class="btn btn-outline-danger" (click)="removePokemon(pokemon.name)">Release</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
